Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class VariableStateDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.VariableStateDesc

All Implemented Interfaces:
  Serializable, VariableDesc

    public class VariableStateDesc

extends Object
implements VariableDesc, Serializable

See Also:
  Serialized Form

Constructor Summary
`VariableStateDesc()`
`VariableStateDesc(String variableId, String variableInstanceId, String oldValue, String newValue, String deploymentId, long processInstanceId, Date date)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getDeploymentId()`
`String` | `getNewValue()`
`String` | `getOldValue()`
`Long` | `getProcessInstanceId()`
`String` | `getVariableId()`
`String` | `getVariableInstanceId()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableStateDesc

    public VariableStateDesc()

### VariableStateDesc

    public VariableStateDesc(String variableId,
                             String variableInstanceId,
                             String oldValue,
                             String newValue,
                             String deploymentId,
                             long processInstanceId,
                             Date date)

Method Detail

### getVariableId

    public String getVariableId()

  Specified by:
    `getVariableId` in interface `VariableDesc`

### getVariableInstanceId

    public String getVariableInstanceId()

  Specified by:
    `getVariableInstanceId` in interface `VariableDesc`

### getOldValue

    public String getOldValue()

  Specified by:
    `getOldValue` in interface `VariableDesc`

### getNewValue

    public String getNewValue()

  Specified by:
    `getNewValue` in interface `VariableDesc`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `VariableDesc`

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `VariableDesc`

### getDataTimeStamp

    public Date getDataTimeStamp()

  Specified by:
    `getDataTimeStamp` in interface `VariableDesc`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.